# Visualization
TKV3d
StdSelect

# StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs Class Reference

`#include <StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs.hxx>`

## Public Member Functions

| StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs (const Handle(SelectBasics_EntityOwner)&K1, const Standard_Integer K2, const Handle(StdSelect_Prs)&I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_SelectBasics_EntityOwner & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Handle_StdSelect_Prs & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_SelectBasics_EntityOwner | myKey1
Standard_Integer | myKey2
Handle_StdSelect_Prs | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs | ( | const Handle(SelectBasics_EntityOwner)& | K1,
|  | const Standard_Integer | K2,
|  | const Handle(StdSelect_Prs)& | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Handle | ( | Standard_Type |  | ) | const

Handle_SelectBasics_EntityOwner& StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Key1 | ( |  | ) | const

Standard_Integer& StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Key2 | ( |  | ) | const

TCollection_MapNodePtr& StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Next2 | ( |  | ) | const

Handle_StdSelect_Prs& StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Value | ( |  | ) | const

## Field Documentation

Handle_SelectBasics_EntityOwner StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myKey1 `[private]`

Standard_Integer StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myKey2 `[private]`

TCollection_MapNodePtr StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myNext2 `[private]`

Handle_StdSelect_Prs StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myValue `[private]`

The documentation for this class was generated from the following file:

- StdSelect_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs.hxx